function esc(pieces: TemplateStringsArray): string {
	return '\x1b[' + pieces[0];
}

export const Ansi = {
	ClearScreen: esc`2J`,
	ResetCursor: esc`H`,
	moveCursor: function moveCursor(row: number, col: number): string {
		return `\x1b${row};${col}H`;
	},
};

export default Ansi;
